package com.srs.dormitory.mapper;

import java.util.List;

import com.srs.dormitory.domain.DmsAccommodations;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 外宿申请Mapper接口
 *
 * @author srs
 * @date 2025-11-11
 */
public interface DmsAccommodationsMapper extends BaseMapper<DmsAccommodations> {
    /**
     * 查询外宿申请
     *
     * @param id 外宿申请主键
     * @return 外宿申请
     */
    public DmsAccommodations selectDmsAccommodationsById(Long id);

    /**
     * 查询外宿申请列表
     *
     * @param dmsAccommodations 外宿申请
     * @return 外宿申请集合
     */
    List<DmsAccommodations> selectDmsAccommodationsList(DmsAccommodations dmsAccommodations);

    /**
     * 新增外宿申请
     *
     * @param dmsAccommodations 外宿申请
     * @return 结果
     */
    int insertDmsAccommodations(DmsAccommodations dmsAccommodations);

    /**
     * 修改外宿申请
     *
     * @param dmsAccommodations 外宿申请
     * @return 结果
     */
    int updateDmsAccommodations(DmsAccommodations dmsAccommodations);

    /**
     * 删除外宿申请
     *
     * @param id 外宿申请主键
     * @return 结果
     */
    int deleteDmsAccommodationsById(Long id);

    /**
     * 批量删除外宿申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsAccommodationsByIds(Long[] ids);

    DmsAccommodations getStuDormitory(String stuNo);
}
